package com.ruoyi.framework.recovery.service.impl;

import java.util.Date;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.framework.recovery.mapper.WxCreditMapper;
import com.ruoyi.framework.recovery.domain.WxCredit;
import com.ruoyi.framework.recovery.service.IWxCreditService;

/**
 * 积分明细Service业务层处理
 *
 * @author jin
 * @date 2024-12-01
 */
@Service
public class WxCreditServiceImpl implements IWxCreditService
{
    @Autowired
    private WxCreditMapper wxCreditMapper;

    /**
     * 查询积分明细
     *
     * @param id 积分明细主键
     * @return 积分明细
     */
    @Override
    public WxCredit selectWxCreditById(Long id)
    {
        return wxCreditMapper.selectWxCreditById(id);
    }

    /**
     * 查询积分明细列表
     *
     * @param wxCredit 积分明细
     * @return 积分明细
     */
    @Override
    public List<WxCredit> selectWxCreditList(WxCredit wxCredit)
    {
        return wxCreditMapper.selectWxCreditList(wxCredit);
    }

    /**
     * 新增积分明细
     *
     * @param wxCredit 积分明细
     * @return 结果
     */
    @Override
    public int insertWxCredit(WxCredit wxCredit)
    {
        wxCredit.setCreateDate(new Date());
        return wxCreditMapper.insertWxCredit(wxCredit);
    }

    /**
     * 修改积分明细
     *
     * @param wxCredit 积分明细
     * @return 结果
     */
    @Override
    public int updateWxCredit(WxCredit wxCredit)
    {
        return wxCreditMapper.updateWxCredit(wxCredit);
    }

    /**
     * 批量删除积分明细
     *
     * @param ids 需要删除的积分明细主键
     * @return 结果
     */
    @Override
    public int deleteWxCreditByIds(Long[] ids)
    {
        return wxCreditMapper.deleteWxCreditByIds(ids);
    }

    /**
     * 删除积分明细信息
     *
     * @param id 积分明细主键
     * @return 结果
     */
    @Override
    public int deleteWxCreditById(Long id)
    {
        return wxCreditMapper.deleteWxCreditById(id);
    }
}
